<template>
    <div>
        <div class="text-2xl font-semibold mt-10">Dialog</div>
        <div class="q-pa-md q-gutter-sm">
            <q-btn label="Alert" color="primary" @click="alert = true" />
            <q-btn label="Confirm" color="primary" @click="confirm = true" />
            <q-btn label="Prompt" color="primary" @click="prompt = true" />

            <q-dialog v-model="alert">
                <q-card class="appearingElement">
                    <q-card-section>
                    <div class="text-h6">Alert</div>
                    </q-card-section>

                    <q-card-section class="q-pt-none">
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Rerum repellendus sit voluptate voluptas eveniet porro. Rerum blanditiis perferendis totam, ea at omnis vel numquam exercitationem aut, natus minima, porro labore.
                    </q-card-section>

                    <q-card-actions align="right">
                    <q-btn flat label="OK" color="primary" v-close-popup />
                    </q-card-actions>
                </q-card>
            </q-dialog>

            <q-dialog v-model="confirm" persistent>
                <q-card class="appearingElement">
                    <q-card-section class="row items-center">
                    <q-avatar icon="la la-wifi" color="primary" text-color="white" />
                    <span class="q-ml-sm">You are currently not connected to any network.</span>
                    </q-card-section>

                    <q-card-actions align="right">
                    <q-btn flat label="Cancel" color="primary" v-close-popup />
                    <q-btn flat label="Turn on Wifi" color="primary" v-close-popup />
                    </q-card-actions>
                </q-card>
            </q-dialog>

            <q-dialog v-model="prompt" persistent>
                <q-card class="appearingElement" style="min-width: 350px">
                    <q-card-section>
                    <div class="text-h6">Your address</div>
                    </q-card-section>

                    <q-card-section class="q-pt-none">
                    <q-input dense v-model="address" autofocus @keyup.enter="prompt = false" />
                    </q-card-section>

                    <q-card-actions align="right" class="text-primary">
                    <q-btn flat label="Cancel" v-close-popup />
                    <q-btn flat label="Add address" v-close-popup />
                    </q-card-actions>
                </q-card>
            </q-dialog>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            alert: false,
            confirm: false,
            prompt: false,
            address: ''
        }
    },
    methods: {
        onFormSubmit() {
            console.log('Submitt')
        }
    }
}
</script>

<style>

</style>